/*
<BLUEPRINT_FORM>
    <FORM>History_Usage</FORM>
    <DATABASE>Site License</DATABASE>
</BLUEPRINT_FORM>
*/

local targetFormName
define targetFormName,"History_Usage"

makenewform targetFormName
setwindowrectangle rectanglesize(183,175,727,925),""
openform targetFormName

restoreFormFromBlueprint:

/* <BLUEPRINT_FORM_PROPERTIES> */

setformoptions "",targetFormName,
    "ALTERNATINGBACKGROUNDCOLORS",0,
    "AUTOMATICDISABLEDFIELDS",0,
    "BACKGROUNDCOLOR",htmlrgb("FFFFFF"),
    "EVENTCODE","",
    "EVENTCODESYNTAXERROR","",
    "EXCLUDEFROMVIEWMENU",0,
    "INITIALDIMENSIONS","",
    "MAXIMUMHEIGHT",0.00,
    "MAXIMUMWIDTH",0.00,
    "MINIMUMHEIGHT",0.00,
    "MINIMUMWIDTH",0.00,
    "NOTES","",
    "REPORTCOLUMNDIRECTION","Down",
    "REPORTCOLUMNS","Automatic",
    "TABORDER","Natural",
    "TAG","",
    "USESERVERFORLOOKUP",0,
    "VARIABLETYPE","FileGlobal",
    "VIEWASLISTBACKGROUNDCOLORS","",
    "VIEWASLISTGRIDSTYLE","None",
    "VIEWASLISTHILIGHTCOLOR","",
    "VIEWMODE","Individual Pages",
    "WINDOWHEIGHT",727.00,
    "WINDOWLEFTEDGE",175.00,
    "WINDOWOPTIONS","",
    "WINDOWTOPEDGE",183.00,
    "WINDOWWIDTH",925.00

/* </BLUEPRINT_FORM_PROPERTIES> */

makeFormObjectsFromBluePrint:

/* <BLUEPRINT_FORM_OBJECTS> */

newformobject "TextListObject",
    "rectangle",rectanglesize(32, 11, 150, 542),
    "color",htmlrgb("8000FF"),
    "name","",
    "$TextListAutoSelectFirstCell","0",
    "Tags","",
    "$TextListColumns","Date∆16c
Plan∆15c∆align=center
Hours∆8c∆align=right
Max Users∆10c∆align=center
Remaining∆12c∆align=center
 ",
    "Expandable","0",
    "$TextListPassThru","0",
    "$TextListMatrixSeparator","",
    "$ShadowDepth","6",
    "$TextListAllowMultipleRowSelection","0",
    "Opacity","100 %",
    "$TextListAllowHeaderClicks","0",
    "$TextListScanDatabase","",
    "$TextListBorder","Bezel",
    "$TextListFirstRowColumnNames","0",
    "$DropShadow","0",
    "$ShadowBlur","10",
    "$Stroke","None",
    "$TextListQueryFormula","",
    "$ToolTip","",
    "Font","#SystemFont",
    "$TextListGridVerticalSolid","0",
    "$TextListHeightTweak","0",
    "$TextListRichText","0",
    "$TextListQueryBackground","0",
    "LineWidth","1 px",
    "$BorderLeftMargin","0 px",
    "$TextListKeyboardSelection","0",
    "$TextListValueSeparator","",
    "ExpandShrink","0",
    "Procedure","",
    "$ShadowOpacity","75%",
    "$TextListResizableColumns","0",
    "$TextListDisplayHeader","1",
    "Locked","0",
    "$ShadowAngle","45°",
    "$BorderBottomMargin","0 px",
    "$TextListMaxCellCount","0",
    "$TextListThinScroll","1",
    "$BorderRightMargin","0 px",
    "$TextListHorizontalScroll","0",
    "TextSize","18 px",
    "$TextListNoFocusRing","0",
    "$TextListSize","Medium",
    "$TextListNavigator","0",
    "$TextListGridHorizontalSolid","0",
    "Alignment","Left",
    "$TextListAlternatingColors","1",
    "$BorderTopMargin","0 px",
    "Formula","usageHistory",
    "$ShadowBrightness","0%",
    "$TextListAllowEmptySelection","0",
    "$TextListClickRelease","1",
    "$TextListGridHorizontalDashed","0",
    "$TextListQueryProgressRoot","",
    "$TextListSorting","None",
    "$Fill","Hollow",
    "$TextListField","usageHistoryLine"

newformobject "TextListObject",
    "rectangle",rectanglesize(204, 11, 117, 542),
    "color",htmlrgb("8000FF"),
    "name","",
    "$TextListAutoSelectFirstCell","0",
    "Tags","",
    "$TextListColumns","Computer Name∆23c
User Name∆18c
Serial Number∆13c
Hours∆8c∆align=right
∆1c",
    "Expandable","0",
    "$TextListPassThru","0",
    "$TextListMatrixSeparator","",
    "$ShadowDepth","6",
    "$TextListAllowMultipleRowSelection","0",
    "Opacity","100 %",
    "$TextListAllowHeaderClicks","0",
    "$TextListScanDatabase","",
    "$TextListBorder","Bezel",
    "$TextListFirstRowColumnNames","0",
    "$DropShadow","0",
    "$ShadowBlur","10",
    "$Stroke","None",
    "$TextListQueryFormula","",
    "$ToolTip","",
    "Font","#SystemFont",
    "$TextListGridVerticalSolid","0",
    "$TextListHeightTweak","0",
    "$TextListRichText","0",
    "$TextListQueryBackground","0",
    "LineWidth","1 px",
    "$BorderLeftMargin","0 px",
    "$TextListKeyboardSelection","0",
    "$TextListValueSeparator","",
    "ExpandShrink","0",
    "Procedure","",
    "$ShadowOpacity","75%",
    "$TextListResizableColumns","0",
    "$TextListDisplayHeader","1",
    "Locked","0",
    "$ShadowAngle","45°",
    "$BorderBottomMargin","0 px",
    "$TextListMaxCellCount","0",
    "$TextListThinScroll","1",
    "$BorderRightMargin","0 px",
    "$TextListHorizontalScroll","0",
    "TextSize","18 px",
    "$TextListNoFocusRing","0",
    "$TextListSize","Medium",
    "$TextListNavigator","0",
    "$TextListGridHorizontalSolid","0",
    "Alignment","Left",
    "$TextListAlternatingColors","1",
    "$BorderTopMargin","0 px",
    "Formula","arrayfilter(replace(replace(tabarray(usageHistoryLine,7),""~"",cr()),"";"",tab()),cr(),|||tabarray(import(),3)+tab()+tabarray(import(),4)+tab()+tabarray(import(),2)+tab()+pattern(val(tabarray(import(),5))/4,""#,.##"")|||)",
    "$ShadowBrightness","0%",
    "$TextListAllowEmptySelection","0",
    "$TextListClickRelease","1",
    "$TextListGridHorizontalDashed","0",
    "$TextListQueryProgressRoot","",
    "$TextListSorting","None",
    "$Fill","Hollow",
    "$TextListField","computerUsageLine"

newformobject "TextDisplayObject",
    "rectangle",rectanglesize(189, 7, 17, 254),
    "color",htmlrgb("000000"),
    "name","",
    "$ShadowBlur","10",
    "$DropShadow","0",
    "$BorderLeftMargin","0 px",
    "Formula","""Details for month ending ""+tabarray(usageHistoryLine,1)+""…""",
    "TextSize","10 px",
    "$BorderRightMargin","0 px",
    "$TextDisplayHorizontalScroll","0",
    "$TextDisplayFormulaMode","Formula",
    "Opacity","100 %",
    "$ShadowDepth","6",
    "Locked","0",
    "$TextDisplayLineBreakMode","Word Wrap",
    "$TextDisplayThinScroll","0",
    "$Fill","Hollow",
    "Procedure","",
    "ExpandShrink","0",
    "$TextDisplayAutoScaleSize","1",
    "Tags","",
    "$TextDisplayAutoHideScroll","0",
    "$TextDisplayAutoScale","0",
    "$TextDisplaySelectable","0",
    "$TextBackgroundFill","",
    "$TextDisplayVerticalScroll","0",
    "$TextDisplayVerticalTextAlignment","Top",
    "$ShadowBrightness","0%",
    "$ToolTip","Logged in role",
    "$TextDisplayDontWrap","0",
    "Alignment","Left",
    "Font","Avenir-MediumOblique",
    "$ShadowAngle","45°",
    "$ShadowOpacity","75%",
    "$TextDisplayBorderStyle","None",
    "Expandable","0",
    "$BorderBottomMargin","0 px",
    "$TextDisplayCollapseBlankLines","0",
    "$Stroke","None",
    "LineWidth","1 px",
    "$TextDisplayAutoScrollToBottom","0",
    "$BorderTopMargin","0 px",
    "$TextDisplayRichText","0"

newformobject "TextDisplayObject",
    "rectangle",rectanglesize(17, 7, 17, 254),
    "color",htmlrgb("000000"),
    "name","",
    "$ShadowBlur","10",
    "$DropShadow","0",
    "$BorderLeftMargin","0 px",
    "Formula","""Monthly Statements…""",
    "TextSize","10 px",
    "$BorderRightMargin","0 px",
    "$TextDisplayHorizontalScroll","0",
    "$TextDisplayFormulaMode","Formula",
    "Opacity","100 %",
    "$ShadowDepth","6",
    "Locked","0",
    "$TextDisplayLineBreakMode","Word Wrap",
    "$TextDisplayThinScroll","0",
    "$Fill","Hollow",
    "Procedure","",
    "ExpandShrink","0",
    "$TextDisplayAutoScaleSize","1",
    "Tags","",
    "$TextDisplayAutoHideScroll","0",
    "$TextDisplayAutoScale","0",
    "$TextDisplaySelectable","0",
    "$TextBackgroundFill","",
    "$TextDisplayVerticalScroll","0",
    "$TextDisplayVerticalTextAlignment","Top",
    "$ShadowBrightness","0%",
    "$ToolTip","Logged in role",
    "$TextDisplayDontWrap","0",
    "Alignment","Left",
    "Font","Avenir-MediumOblique",
    "$ShadowAngle","45°",
    "$ShadowOpacity","75%",
    "$TextDisplayBorderStyle","None",
    "Expandable","0",
    "$BorderBottomMargin","0 px",
    "$TextDisplayCollapseBlankLines","0",
    "$Stroke","None",
    "LineWidth","1 px",
    "$TextDisplayAutoScrollToBottom","0",
    "$BorderTopMargin","0 px",
    "$TextDisplayRichText","0"

newformobject "RectangleShapeObject",
    "rectangle",rectanglesize(323, 14, 11, 20),
    "color",htmlrgb("FFFEFF"),
    "name","",
    "Tags","",
    "$ShadowOpacity","75%",
    "Opacity","100 %",
    "$ShadowDepth","6",
    "$ShadowBlur","10",
    "$Stroke","Solid",
    "Procedure","",
    "Expandable","0",
    "$Fill","Solid",
    "LineWidth","1 px",
    "$ShadowAngle","45°",
    "$DropShadow","0",
    "ExpandShrink","0",
    "Locked","0",
    "$ToolTip","",
    "$ShadowBrightness","0%"

newformobject "TextListObject",
    "rectangle",rectanglesize(342, 11, 65, 542),
    "color",htmlrgb("8000FF"),
    "name","",
    "$TextListAutoSelectFirstCell","0",
    "Tags","",
    "$TextListColumns","Mode∆8c∆align=left
Clients∆8c∆align=center
Requests∆10c∆align=right
Inbound∆11c∆align=right
Outbound∆12c∆align=right
Runtime∆10c∆align=right
∆1c",
    "Expandable","0",
    "$TextListPassThru","0",
    "$TextListMatrixSeparator","",
    "$ShadowDepth","6",
    "$TextListAllowMultipleRowSelection","0",
    "Opacity","100 %",
    "$TextListAllowHeaderClicks","0",
    "$TextListScanDatabase","",
    "$TextListBorder","Bezel",
    "$TextListFirstRowColumnNames","0",
    "$DropShadow","0",
    "$ShadowBlur","10",
    "$Stroke","None",
    "$TextListQueryFormula","",
    "$ToolTip","",
    "Font","#SystemFont",
    "$TextListGridVerticalSolid","0",
    "$TextListHeightTweak","0",
    "$TextListRichText","0",
    "$TextListQueryBackground","0",
    "LineWidth","1 px",
    "$BorderLeftMargin","0 px",
    "$TextListKeyboardSelection","0",
    "$TextListValueSeparator","",
    "ExpandShrink","0",
    "Procedure","",
    "$ShadowOpacity","75%",
    "$TextListResizableColumns","0",
    "$TextListDisplayHeader","1",
    "Locked","0",
    "$ShadowAngle","45°",
    "$BorderBottomMargin","0 px",
    "$TextListMaxCellCount","0",
    "$TextListThinScroll","1",
    "$BorderRightMargin","0 px",
    "$TextListHorizontalScroll","0",
    "TextSize","18 px",
    "$TextListNoFocusRing","0",
    "$TextListSize","Medium",
    "$TextListNavigator","0",
    "$TextListGridHorizontalSolid","0",
    "Alignment","Left",
    "$TextListAlternatingColors","1",
    "$BorderTopMargin","0 px",
    "Formula","replace(replace(tabarray(usageHistoryLine,8),""?"",cr()),""~"",tab())",
    "$ShadowBrightness","0%",
    "$TextListAllowEmptySelection","0",
    "$TextListClickRelease","1",
    "$TextListGridHorizontalDashed","0",
    "$TextListQueryProgressRoot","",
    "$TextListSorting","None",
    "$Fill","Hollow",
    "$TextListField","serverUsageLine"

newformobject "TextDisplayObject",
    "rectangle",rectanglesize(328, 7, 17, 254),
    "color",htmlrgb("000000"),
    "name","",
    "$ShadowBlur","10",
    "$DropShadow","0",
    "$BorderLeftMargin","0 px",
    "Formula","""Details for Panorama X Server…""",
    "TextSize","10 px",
    "$BorderRightMargin","0 px",
    "$TextDisplayHorizontalScroll","0",
    "$TextDisplayFormulaMode","Formula",
    "Opacity","100 %",
    "$ShadowDepth","6",
    "Locked","0",
    "$TextDisplayLineBreakMode","Word Wrap",
    "$TextDisplayThinScroll","0",
    "$Fill","Hollow",
    "Procedure","",
    "ExpandShrink","0",
    "$TextDisplayAutoScaleSize","1",
    "Tags","",
    "$TextDisplayAutoHideScroll","0",
    "$TextDisplayAutoScale","0",
    "$TextDisplaySelectable","0",
    "$TextBackgroundFill","",
    "$TextDisplayVerticalScroll","0",
    "$TextDisplayVerticalTextAlignment","Top",
    "$ShadowBrightness","0%",
    "$ToolTip","Logged in role",
    "$TextDisplayDontWrap","0",
    "Alignment","Left",
    "Font","Avenir-MediumOblique",
    "$ShadowAngle","45°",
    "$ShadowOpacity","75%",
    "$TextDisplayBorderStyle","None",
    "Expandable","0",
    "$BorderBottomMargin","0 px",
    "$TextDisplayCollapseBlankLines","0",
    "$Stroke","None",
    "LineWidth","1 px",
    "$TextDisplayAutoScrollToBottom","0",
    "$BorderTopMargin","0 px",
    "$TextDisplayRichText","0"

selectnoobjects

/* </BLUEPRINT_FORM_OBJECTS> */
